<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/tools/Dispatcher.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d73/_dispatcher_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">Dispatcher.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d6/d73/_dispatcher_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d3f/class_dispatcher.html">Dispatcher</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="typedef-members" name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ab8c224df5ffc01e3804004c8ca9f5f24"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a></td></tr>
<tr class="separator:ab8c224df5ffc01e3804004c8ca9f5f24"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a381e42bd90bd01f2fa53ca454367c8ee"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d3f/class_dispatcher.html">Dispatcher</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d73/_dispatcher_8c.html#a381e42bd90bd01f2fa53ca454367c8ee">GetDispatcher</a> ()</td></tr>
<tr class="separator:a381e42bd90bd01f2fa53ca454367c8ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecd2d3ef226fdb044e70e957c8a4f18b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d73/_dispatcher_8c.html#aecd2d3ef226fdb044e70e957c8a4f18b">SetDispatcher</a> (<a class="el" href="../../d2/d3f/class_dispatcher.html">Dispatcher</a> dispatcher)</td></tr>
<tr class="separator:aecd2d3ef226fdb044e70e957c8a4f18b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7bb9c9460bbaf55355a19e20f3a40ff"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d73/_dispatcher_8c.html#ae7bb9c9460bbaf55355a19e20f3a40ff">CallMethod</a> (<a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a> call_id, <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> params)</td></tr>
<tr class="separator:ae7bb9c9460bbaf55355a19e20f3a40ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:abdeb2e30ff766c369b15155c3c3fd778"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d73/_dispatcher_8c.html#abdeb2e30ff766c369b15155c3c3fd778">CALL_ID_SEND_LOG</a> = 0</td></tr>
<tr class="separator:abdeb2e30ff766c369b15155c3c3fd778"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4870c197de7176b03b90716049cd24b"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d73/_dispatcher_8c.html#ac4870c197de7176b03b90716049cd24b">CALL_ID_SCR_CNSL_HISTORY_BACK</a> = 1</td></tr>
<tr class="separator:ac4870c197de7176b03b90716049cd24b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80d4854d3893a878cb5db1358f09f447"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d73/_dispatcher_8c.html#a80d4854d3893a878cb5db1358f09f447">CALL_ID_SCR_CNSL_HISTORY_NEXT</a> = 2</td></tr>
<tr class="separator:a80d4854d3893a878cb5db1358f09f447"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4ae553a83a73c53a4db942efa219ea4"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d73/_dispatcher_8c.html#ac4ae553a83a73c53a4db942efa219ea4">CALL_ID_SCR_CNSL_ADD_PRINT</a> = 3</td></tr>
<tr class="separator:ac4ae553a83a73c53a4db942efa219ea4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeedf0614f50195a9972418948ef5b213"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d73/_dispatcher_8c.html#aeedf0614f50195a9972418948ef5b213">CALL_ID_SCR_CNSL_GET_SQF_WATCHER</a> = 4</td></tr>
<tr class="separator:aeedf0614f50195a9972418948ef5b213"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59e5709a17911d119d852dfc92821c6a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d73/_dispatcher_8c.html#a59e5709a17911d119d852dfc92821c6a">CALL_ID_SCR_CNSL_SET_SQF_WATCHER_RESULT</a> = 5</td></tr>
<tr class="separator:a59e5709a17911d119d852dfc92821c6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab99e8b3d9bf5267aea0cf047edea2d0f"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d73/_dispatcher_8c.html#ab99e8b3d9bf5267aea0cf047edea2d0f">CALL_ID_SCENE_EDITOR_COMMAND</a> = 6</td></tr>
<tr class="separator:ab99e8b3d9bf5267aea0cf047edea2d0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac88821bb56908644fc2bf4d9e1f8464d"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d73/_dispatcher_8c.html#ac88821bb56908644fc2bf4d9e1f8464d">CALL_ID_HIDE_INVENTORY</a> = 7</td></tr>
<tr class="separator:ac88821bb56908644fc2bf4d9e1f8464d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4717433447172f8fda80097797df4931"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d73/_dispatcher_8c.html#a4717433447172f8fda80097797df4931">CALL_ID_SCR_CNSL_GETSELECTEDITEM</a> = 8</td></tr>
<tr class="separator:a4717433447172f8fda80097797df4931"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87461a46f76e3371d7d82358e2189d3a"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d2/d3f/class_dispatcher.html">Dispatcher</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d73/_dispatcher_8c.html#a87461a46f76e3371d7d82358e2189d3a">g_Dispatcher</a></td></tr>
<tr class="separator:a87461a46f76e3371d7d82358e2189d3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="ab8c224df5ffc01e3804004c8ca9f5f24" name="ab8c224df5ffc01e3804004c8ca9f5f24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8c224df5ffc01e3804004c8ca9f5f24">&#9670;&#160;</a></span>CallID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d73/_dispatcher_8c_source.html#l00001">1</a> of file <a class="el" href="../../d6/d73/_dispatcher_8c_source.html">Dispatcher.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ae7bb9c9460bbaf55355a19e20f3a40ff" name="ae7bb9c9460bbaf55355a19e20f3a40ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7bb9c9460bbaf55355a19e20f3a40ff">&#9670;&#160;</a></span>CallMethod()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> CallMethod </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a>&#160;</td>
          <td class="paramname"><em>call_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&#160;</td>
          <td class="paramname"><em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d73/_dispatcher_8c_source.html#l00036">36</a> of file <a class="el" href="../../d6/d73/_dispatcher_8c_source.html">Dispatcher.c</a>.</p>

</div>
</div>
<a id="a381e42bd90bd01f2fa53ca454367c8ee" name="a381e42bd90bd01f2fa53ca454367c8ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a381e42bd90bd01f2fa53ca454367c8ee">&#9670;&#160;</a></span>GetDispatcher()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d3f/class_dispatcher.html">Dispatcher</a> GetDispatcher </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d73/_dispatcher_8c_source.html#l00020">20</a> of file <a class="el" href="../../d6/d73/_dispatcher_8c_source.html">Dispatcher.c</a>.</p>

</div>
</div>
<a id="aecd2d3ef226fdb044e70e957c8a4f18b" name="aecd2d3ef226fdb044e70e957c8a4f18b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecd2d3ef226fdb044e70e957c8a4f18b">&#9670;&#160;</a></span>SetDispatcher()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetDispatcher </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d3f/class_dispatcher.html">Dispatcher</a>&#160;</td>
          <td class="paramname"><em>dispatcher</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d73/_dispatcher_8c_source.html#l00031">31</a> of file <a class="el" href="../../d6/d73/_dispatcher_8c_source.html">Dispatcher.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ac88821bb56908644fc2bf4d9e1f8464d" name="ac88821bb56908644fc2bf4d9e1f8464d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac88821bb56908644fc2bf4d9e1f8464d">&#9670;&#160;</a></span>CALL_ID_HIDE_INVENTORY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a> CALL_ID_HIDE_INVENTORY = 7</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d73/_dispatcher_8c_source.html#l00010">10</a> of file <a class="el" href="../../d6/d73/_dispatcher_8c_source.html">Dispatcher.c</a>.</p>

</div>
</div>
<a id="ab99e8b3d9bf5267aea0cf047edea2d0f" name="ab99e8b3d9bf5267aea0cf047edea2d0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab99e8b3d9bf5267aea0cf047edea2d0f">&#9670;&#160;</a></span>CALL_ID_SCENE_EDITOR_COMMAND</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a> CALL_ID_SCENE_EDITOR_COMMAND = 6</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d73/_dispatcher_8c_source.html#l00009">9</a> of file <a class="el" href="../../d6/d73/_dispatcher_8c_source.html">Dispatcher.c</a>.</p>

</div>
</div>
<a id="ac4ae553a83a73c53a4db942efa219ea4" name="ac4ae553a83a73c53a4db942efa219ea4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4ae553a83a73c53a4db942efa219ea4">&#9670;&#160;</a></span>CALL_ID_SCR_CNSL_ADD_PRINT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a> CALL_ID_SCR_CNSL_ADD_PRINT = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d73/_dispatcher_8c_source.html#l00006">6</a> of file <a class="el" href="../../d6/d73/_dispatcher_8c_source.html">Dispatcher.c</a>.</p>

</div>
</div>
<a id="aeedf0614f50195a9972418948ef5b213" name="aeedf0614f50195a9972418948ef5b213"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeedf0614f50195a9972418948ef5b213">&#9670;&#160;</a></span>CALL_ID_SCR_CNSL_GET_SQF_WATCHER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a> CALL_ID_SCR_CNSL_GET_SQF_WATCHER = 4</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d73/_dispatcher_8c_source.html#l00007">7</a> of file <a class="el" href="../../d6/d73/_dispatcher_8c_source.html">Dispatcher.c</a>.</p>

</div>
</div>
<a id="a4717433447172f8fda80097797df4931" name="a4717433447172f8fda80097797df4931"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4717433447172f8fda80097797df4931">&#9670;&#160;</a></span>CALL_ID_SCR_CNSL_GETSELECTEDITEM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a> CALL_ID_SCR_CNSL_GETSELECTEDITEM = 8</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d73/_dispatcher_8c_source.html#l00011">11</a> of file <a class="el" href="../../d6/d73/_dispatcher_8c_source.html">Dispatcher.c</a>.</p>

</div>
</div>
<a id="ac4870c197de7176b03b90716049cd24b" name="ac4870c197de7176b03b90716049cd24b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4870c197de7176b03b90716049cd24b">&#9670;&#160;</a></span>CALL_ID_SCR_CNSL_HISTORY_BACK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a> CALL_ID_SCR_CNSL_HISTORY_BACK = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d73/_dispatcher_8c_source.html#l00004">4</a> of file <a class="el" href="../../d6/d73/_dispatcher_8c_source.html">Dispatcher.c</a>.</p>

</div>
</div>
<a id="a80d4854d3893a878cb5db1358f09f447" name="a80d4854d3893a878cb5db1358f09f447"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80d4854d3893a878cb5db1358f09f447">&#9670;&#160;</a></span>CALL_ID_SCR_CNSL_HISTORY_NEXT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a> CALL_ID_SCR_CNSL_HISTORY_NEXT = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d73/_dispatcher_8c_source.html#l00005">5</a> of file <a class="el" href="../../d6/d73/_dispatcher_8c_source.html">Dispatcher.c</a>.</p>

</div>
</div>
<a id="a59e5709a17911d119d852dfc92821c6a" name="a59e5709a17911d119d852dfc92821c6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59e5709a17911d119d852dfc92821c6a">&#9670;&#160;</a></span>CALL_ID_SCR_CNSL_SET_SQF_WATCHER_RESULT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a> CALL_ID_SCR_CNSL_SET_SQF_WATCHER_RESULT = 5</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d73/_dispatcher_8c_source.html#l00008">8</a> of file <a class="el" href="../../d6/d73/_dispatcher_8c_source.html">Dispatcher.c</a>.</p>

</div>
</div>
<a id="abdeb2e30ff766c369b15155c3c3fd778" name="abdeb2e30ff766c369b15155c3c3fd778"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abdeb2e30ff766c369b15155c3c3fd778">&#9670;&#160;</a></span>CALL_ID_SEND_LOG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a> CALL_ID_SEND_LOG = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d73/_dispatcher_8c_source.html#l00003">3</a> of file <a class="el" href="../../d6/d73/_dispatcher_8c_source.html">Dispatcher.c</a>.</p>

</div>
</div>
<a id="a87461a46f76e3371d7d82358e2189d3a" name="a87461a46f76e3371d7d82358e2189d3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87461a46f76e3371d7d82358e2189d3a">&#9670;&#160;</a></span>g_Dispatcher</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d2/d3f/class_dispatcher.html">Dispatcher</a> g_Dispatcher</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_907fa993cde0429e91bf5998789740ad.html">tools</a></li><li class="navelem"><a class="el" href="../../d6/d73/_dispatcher_8c.html">Dispatcher.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
